# listShareGrants

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/share-grants |

| Field | Value |
|---|---|
| operationId | listShareGrants |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /share-grants |
| tags | `Sharing` |
| summary | List the caller's own share grants (paginated) |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| cursor | query | false | string |  |
| limit | query | false | integer |  |
| dataType | query | false |  |  |
| direction | query | false | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Paginated list of the caller share grants | #/components/schemas/ListShareGrantsResponseDto |
| 400 | Malformed cursor or invalid query parameter | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
